window.Gleam.initSearch([{"doc":"gu","title":"gu","content":"# gu\n\n[![Package Version](https://img.shields.io/hexpm/v/gu)](https://hex.pm/packages/gu)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gu/)\n\n```sh\ngleam add gu\n```\n```gleam\nimport gu\nimport gleam/option.{None, Some}\n\npub fn main() {\n   let name: String = case\n      {\n         gu.zenity\n         |&gt; gu.set_title(&quot;Demo&quot;)\n         |&gt; gu.new_entry(\n            text: Some(&quot;What&#39;s Your Name?&quot;),\n            entry_text: None,\n            hide_text: False,\n         )\n         |&gt; gu.run(False)\n      }\n   {\n      Some(#(_, val)) -&gt; gu.parse(val)\n      None -&gt; &quot;Unknown&quot;\n   }\n   gu.zenity\n   |&gt; gu.new_info()\n   |&gt; gu.set_title(&quot;Demo&quot;)\n   |&gt; gu.new_message_opts(\n      text: Some(&quot;Hello &quot; &lt;&gt; name &lt;&gt; &quot;!&quot;),\n      icon: None,\n      no_wrap: False,\n      no_markup: False,\n      ellipsize: False,\n   )\n   |&gt; gu.run(True)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gu&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"gu","title":"type_error","content":"pub const type_error: String = &quot;--error&quot;\n\nSynonyms:\ngu.type_error\ngu type_error","url":"gu.html#type_error"},{"doc":"gu","title":"type_info","content":"pub const type_info: String = &quot;--info&quot;\n\nSynonyms:\ngu.type_info\ngu type_info","url":"gu.html#type_info"},{"doc":"gu","title":"type_question","content":"pub const type_question: String = &quot;--question&quot;\n\nSynonyms:\ngu.type_question\ngu type_question","url":"gu.html#type_question"},{"doc":"gu","title":"type_warning","content":"pub const type_warning: String = &quot;--warning&quot;\n\nSynonyms:\ngu.type_warning\ngu type_warning","url":"gu.html#type_warning"},{"doc":"gu","title":"zenity","content":"pub const zenity: List(String) = [&quot;zenity&quot;]\n\nSynonyms:\ngu.zenity\ngu zenity","url":"gu.html#zenity"},{"doc":"gu","title":"about","content":"pub fn about(cmd: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.about\ngu about","url":"gu.html#about"},{"doc":"gu","title":"add_bool","content":"pub fn add_bool(\n   cmd: List(String),\n   opt: Bool,\n   str: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_bool\ngu add_bool","url":"gu.html#add_bool"},{"doc":"gu","title":"add_calendar","content":"pub fn add_calendar(\n   command: List(String),\n   calendar: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_calendar\ngu add_calendar","url":"gu.html#add_calendar"},{"doc":"gu","title":"add_column","content":"pub fn add_column(\n   command: List(String),\n   column: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_column\ngu add_column","url":"gu.html#add_column"},{"doc":"gu","title":"add_combo_and_values","content":"pub fn add_combo_and_values(\n   command: List(String),\n   combo: String,\n   values values: List(String),\n) -&gt; List(String)\n\nSynonyms:\ngu.add_combo_and_values\ngu add_combo_and_values","url":"gu.html#add_combo_and_values"},{"doc":"gu","title":"add_entry","content":"pub fn add_entry(\n   command: List(String),\n   entry: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_entry\ngu add_entry","url":"gu.html#add_entry"},{"doc":"gu","title":"add_list_and_values","content":"pub fn add_list_and_values(\n   command: List(String),\n   list_name: String,\n   values values: List(String),\n   column_values column_values: Option(List(String)),\n) -&gt; List(String)\n\nSynonyms:\ngu.add_list_and_values\ngu add_list_and_values","url":"gu.html#add_list_and_values"},{"doc":"gu","title":"add_opt","content":"pub fn add_opt(\n   cmd: List(String),\n   opt: Option(String),\n   str: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_opt\ngu add_opt","url":"gu.html#add_opt"},{"doc":"gu","title":"add_opt_list","content":"pub fn add_opt_list(\n   cmd: List(String),\n   opt_list: Option(List(String)),\n   str: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_opt_list\ngu add_opt_list","url":"gu.html#add_opt_list"},{"doc":"gu","title":"add_password","content":"pub fn add_password(\n   command: List(String),\n   password: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_password\ngu add_password","url":"gu.html#add_password"},{"doc":"gu","title":"add_row","content":"pub fn add_row(\n   command: List(String),\n   row: List(String),\n) -&gt; List(String)\n\nSynonyms:\ngu.add_row\ngu add_row","url":"gu.html#add_row"},{"doc":"gu","title":"add_value","content":"pub fn add_value(\n   cmd: List(String),\n   value: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.add_value\ngu add_value","url":"gu.html#add_value"},{"doc":"gu","title":"exit","content":"pub fn exit(status: Int) -&gt; Nil\n\nSynonyms:\ngu.exit\ngu exit","url":"gu.html#exit"},{"doc":"gu","title":"help_all","content":"pub fn help_all(cmd: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.help_all\ngu help_all","url":"gu.html#help_all"},{"doc":"gu","title":"new_calendar","content":"pub fn new_calendar(\n   command: List(String),\n   text text: Option(String),\n   day day: Option(String),\n   month month: Option(String),\n   year year: Option(String),\n   date_format date_format: Option(String),\n) -&gt; List(String)\n\nSynonyms:\ngu.new_calendar\ngu new_calendar","url":"gu.html#new_calendar"},{"doc":"gu","title":"new_color_selection","content":"pub fn new_color_selection(\n   command: List(String),\n   color color: Option(String),\n   show_palette show_palette: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_color_selection\ngu new_color_selection","url":"gu.html#new_color_selection"},{"doc":"gu","title":"new_entry","content":"pub fn new_entry(\n   command: List(String),\n   text text: Option(String),\n   entry_text entry_text: Option(String),\n   hide_text hide_text: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_entry\ngu new_entry","url":"gu.html#new_entry"},{"doc":"gu","title":"new_error","content":"pub fn new_error(command: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.new_error\ngu new_error","url":"gu.html#new_error"},{"doc":"gu","title":"new_file_selection","content":"pub fn new_file_selection(\n   command: List(String),\n   filename filename: Option(String),\n   multiple multiple: Bool,\n   directory directory: Bool,\n   save save: Bool,\n   separator separator: Option(String),\n   file_filter file_filter: Option(List(String)),\n) -&gt; List(String)\n\nSynonyms:\ngu.new_file_selection\ngu new_file_selection","url":"gu.html#new_file_selection"},{"doc":"gu","title":"new_form","content":"pub fn new_form(command: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.new_form\ngu new_form","url":"gu.html#new_form"},{"doc":"gu","title":"new_info","content":"pub fn new_info(command: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.new_info\ngu new_info","url":"gu.html#new_info"},{"doc":"gu","title":"new_list","content":"pub fn new_list(command: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.new_list\ngu new_list","url":"gu.html#new_list"},{"doc":"gu","title":"new_list_opts","content":"pub fn new_list_opts(\n   command: List(String),\n   checklist checklist: Bool,\n   radiolist radiolist: Bool,\n   imagelist imagelist: Bool,\n   separator separator: Option(String),\n   multiple multiple: Bool,\n   editable editable: Bool,\n   print_column print_column: Option(String),\n   hide_column hide_column: Option(String),\n   hide_header hide_header: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_list_opts\ngu new_list_opts","url":"gu.html#new_list_opts"},{"doc":"gu","title":"new_message_opts","content":"pub fn new_message_opts(\n   command: List(String),\n   text text: Option(String),\n   icon icon: Option(String),\n   no_wrap no_wrap: Bool,\n   no_markup no_markup: Bool,\n   ellipsize ellipsize: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_message_opts\ngu new_message_opts","url":"gu.html#new_message_opts"},{"doc":"gu","title":"new_notification","content":"pub fn new_notification(\n   command: List(String),\n   text text: Option(String),\n   icon icon: Option(String),\n   listen listen: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_notification\ngu new_notification","url":"gu.html#new_notification"},{"doc":"gu","title":"new_password","content":"pub fn new_password(\n   command: List(String),\n   username username: Option(String),\n) -&gt; List(String)\n\nSynonyms:\ngu.new_password\ngu new_password","url":"gu.html#new_password"},{"doc":"gu","title":"new_progress","content":"pub fn new_progress(\n   command: List(String),\n   text text: Option(String),\n   percentage percentage: Option(String),\n   pulsate pulsate: Bool,\n   auto_close auto_close: Bool,\n   auto_kill auto_kill: Bool,\n   no_cancel no_cancel: Bool,\n   time_remaining time_remaining: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_progress\ngu new_progress","url":"gu.html#new_progress"},{"doc":"gu","title":"new_question","content":"pub fn new_question(command: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.new_question\ngu new_question","url":"gu.html#new_question"},{"doc":"gu","title":"new_question_opts","content":"pub fn new_question_opts(\n   command: List(String),\n   default_cancel default_cancel: Bool,\n   switch switch: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_question_opts\ngu new_question_opts","url":"gu.html#new_question_opts"},{"doc":"gu","title":"new_scale","content":"pub fn new_scale(\n   command: List(String),\n   text text: Option(String),\n   value value: Option(String),\n   min_value min_value: Option(String),\n   max_value max_value: Option(String),\n   step step: Option(String),\n   print_partial print_partial: Bool,\n   hide_value hide_value: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_scale\ngu new_scale","url":"gu.html#new_scale"},{"doc":"gu","title":"new_text_info","content":"pub fn new_text_info(\n   command: List(String),\n   filename filename: Option(String),\n   editable editable: Bool,\n   font font: Option(String),\n   checkbox checkbox: Option(String),\n   auto_scroll auto_scroll: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.new_text_info\ngu new_text_info","url":"gu.html#new_text_info"},{"doc":"gu","title":"new_warning","content":"pub fn new_warning(command: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.new_warning\ngu new_warning","url":"gu.html#new_warning"},{"doc":"gu","title":"parse","content":"pub fn parse(str: String) -&gt; String\n\nSynonyms:\ngu.parse\ngu parse","url":"gu.html#parse"},{"doc":"gu","title":"parse_list","content":"pub fn parse_list(str: String, separator: String) -&gt; List(String)\n\nSynonyms:\ngu.parse_list\ngu parse_list","url":"gu.html#parse_list"},{"doc":"gu","title":"run","content":"pub fn run(\n   command: List(String),\n   errors errors: Bool,\n) -&gt; Option(#(Int, String))\n\nSynonyms:\ngu.run\ngu run","url":"gu.html#run"},{"doc":"gu","title":"set_cancel_label","content":"pub fn set_cancel_label(\n   command: List(String),\n   cancel_label: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_cancel_label\ngu set_cancel_label","url":"gu.html#set_cancel_label"},{"doc":"gu","title":"set_extra_button","content":"pub fn set_extra_button(\n   command: List(String),\n   extra_button: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_extra_button\ngu set_extra_button","url":"gu.html#set_extra_button"},{"doc":"gu","title":"set_forms_date_format","content":"pub fn set_forms_date_format(\n   command: List(String),\n   format: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_forms_date_format\ngu set_forms_date_format","url":"gu.html#set_forms_date_format"},{"doc":"gu","title":"set_height","content":"pub fn set_height(\n   command: List(String),\n   height: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_height\ngu set_height","url":"gu.html#set_height"},{"doc":"gu","title":"set_modal","content":"pub fn set_modal(\n   command: List(String),\n   modal: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_modal\ngu set_modal","url":"gu.html#set_modal"},{"doc":"gu","title":"set_ok_label","content":"pub fn set_ok_label(\n   command: List(String),\n   ok_label: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_ok_label\ngu set_ok_label","url":"gu.html#set_ok_label"},{"doc":"gu","title":"set_separator","content":"pub fn set_separator(\n   command: List(String),\n   separator: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_separator\ngu set_separator","url":"gu.html#set_separator"},{"doc":"gu","title":"set_show_header","content":"pub fn set_show_header(\n   command: List(String),\n   show_header: Bool,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_show_header\ngu set_show_header","url":"gu.html#set_show_header"},{"doc":"gu","title":"set_text","content":"pub fn set_text(\n   command: List(String),\n   text: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_text\ngu set_text","url":"gu.html#set_text"},{"doc":"gu","title":"set_timeout","content":"pub fn set_timeout(\n   command: List(String),\n   timeout: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_timeout\ngu set_timeout","url":"gu.html#set_timeout"},{"doc":"gu","title":"set_title","content":"pub fn set_title(\n   command: List(String),\n   title: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_title\ngu set_title","url":"gu.html#set_title"},{"doc":"gu","title":"set_width","content":"pub fn set_width(\n   command: List(String),\n   width: String,\n) -&gt; List(String)\n\nSynonyms:\ngu.set_width\ngu set_width","url":"gu.html#set_width"},{"doc":"gu","title":"version","content":"pub fn version(cmd: List(String)) -&gt; List(String)\n\nSynonyms:\ngu.version\ngu version","url":"gu.html#version"},{"doc":"gu","title":"gu","content":"","url":"gu.html"}]);